Bug 238189 - LSPP: Review audit labeling
LSPP: Review audit labeling
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-27 15:46 EDT by Steve Grubb
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0544
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 11:39:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2007-04-27 15:46:57 EDT
We need to review the audit labels and permissions given to all applications.
The following explains the audit systems privileges:

1) CAP_AUDIT_CONTROL - set loginuid, write/delete audit rules
2) CAP_AUDIT_WRITE - write event to netlink socket
3) NETLINK_AUDIT_SOCKET__NLMSG_WRITE - set an audit configuration parameter
4) NETLINK_AUDIT_SOCKET__NLMSG_READ - read an audit configuration parameter
5) NETLINK_AUDIT_SOCKET__NLMSG_RELAY - send an audit event through the kernel to
audit daemon
6) NETLINK_AUDIT_SOCKET__NLMSG_READPRIV - list audit rules

A program that simply logs audit events (nscd, passwd) should have 2 & 5
An entry point daemon (login, cron) should have 1, 2, & 5
Auditctl should have 1, 2, 3, 4, 5, & 6
Auditd should have 1, 2, 3, & 4


Version-Release number of selected component (if applicable):
selinux-policy-2.4.6-67.el5
Comment 1 RHEL Product and Program Management 2007-04-27 16:23:49 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Daniel Walsh 2007-05-17 12:58:38 EDT
Fixed in selinux-policy-2.4.6-69
Comment 6 errata-xmlrpc 2007-11-07 11:39:26 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0544.html

Note You need to log in before you can comment on or make changes to this bug.